## sane-backends 1.0.19-maemo1

=== debian/changelog ===
sane-backends (1.0.19-maemo1) unstable; urgency=low

  * Enabled only net backend

  * Fix to compile for Maemo

 -- Thomas Maass <inyourface@gmx.de>  Tue, 20 Jul 2010 20:27:00 +0200

sane-backends (1.0.19-23) unstable; urgency=low

  * debian/patches/09_avision_fixes.dpatch:
    + Updated; fix reader task handling to not signal the whole process group
      erroneously.

  * debconf translations:
    + it.po: courtesy of Luca Monducci (closes: #507563).

 -- Julien BLACHE <jblache@debian.org>  Tue, 09 Dec 2008 16:14:06 +0100

sane-backends (1.0.19-22) unstable; urgency=low

  * debian/patches/41_epjitsu_fixes.dpatch:
    + Added; from CVS, fix double-free issues in epjitsu (closes: #506750).

 -- Julien BLACHE <jblache@debian.org>  Mon, 24 Nov 2008 15:02:04 +0100

sane-backends (1.0.19-21) unstable; urgency=low

  * debian/rules:
    + Use an error handler for saned's init.
  * debian/sane-utils.postinst:
    + Added error handler for saned init (closes: #493745).

  * debconf translations:
    + es.po: courtesy of Ignacio Mondino (closes: #499202).

 -- Julien BLACHE <jblache@debian.org>  Fri, 19 Sep 2008 10:50:04 +0200

sane-backends (1.0.19-20) unstable; urgency=low

  * debian/control:
    + Make sane-utils depend on update-inetd (>= 4.31) which won't break
      with debconf.
  * debian/sane-utils.postinst:
    + update-inetd needs debconf sometimes, so keep debconf enabled until
      after the update-inetd call.

 -- Julien BLACHE <jblache@debian.org>  Fri, 05 Sep 2008 11:04:59 +0200

sane-backends (1.0.19-19) unstable; urgency=low

  * debian/rules:
    + Install umax_pp into sane-utils (closes: #496833).

  * debian/patches/40_fujitsu_fixes.dpatch:
    + Added; upstream backport of fujitsu backend fixes, fixes a string
      initialization issue in config file parsing, adds color mode for the
      fi-6130, 6230, 6140, 6240 and fixes fi-6230 hangs at wakeup from
      powersave mode.
      Thanks to M. Allan Noah for providing a backport (closes: #494156).

 -- Julien BLACHE <jblache@debian.org>  Thu, 28 Aug 2008 10:31:35 +0200

sane-backends (1.0.19-18) unstable; urgency=low

  * debian/patches/10_sm3840_unbreak_sane_open.dpatch:
    + Added; from CVS, fix the way sane_open() checks for sanei_usb_open()
      errors (closes: #496249).

  * debconf translations:
    + ja.po: courtesy of Hideki Yamane (closes: #493568).

 -- Julien BLACHE <jblache@debian.org>  Wed, 27 Aug 2008 19:58:15 +0200

sane-backends (1.0.19-17) unstable; urgency=low

  * debian/patches/33_scanimage_options_fix.dpatch:
    + Added; get the option descriptor for option 0 before getting the value
      for option 0. This is a standard-compliance fix needed for proper
      operation with the net backend.
  * debian/patches/30_new_saned.dpatch:
    + Updated; fix initialization of runas_{g,u}id and ngroups, preventing
      failures later on in some cases (saned -a without username).

 -- Julien BLACHE <jblache@debian.org>  Tue, 05 Aug 2008 12:10:44 +0200

sane-backends (1.0.19-16) unstable; urgency=low

  * debian/patches/30_new_saned.dpatch:
    + Updated; Fix seteuid()/setegid() call order and set supplemental group
      list (closes: #493084).

 -- Julien BLACHE <jblache@debian.org>  Thu, 31 Jul 2008 11:46:53 +0200

sane-backends (1.0.19-15) unstable; urgency=low

  * debian/patches/09_avision_fixes.dpatch:
    + Enable this patch for real.
  * debian/patches/31_sanei_pthread_64bit_fix.dpatch:
    + Updated.

 -- Julien BLACHE <jblache@debian.org>  Tue, 22 Jul 2008 23:05:50 +0200

sane-backends (1.0.19-14) unstable; urgency=low

  * debian/patches/32_net_backend_standard_fix.dpatch:
    + Updated; fix sane_control_option() in the net backend so as to bring
      the net backend behaviour back in line with standard backends. This
      should fix some issues reported with the net backend lately.
  * debian/patches/01_manpages_fixes.dpatch:
    + Updated; fix some more hyphen vs. minus sign issues.

  * debian/rules:
    + Include debug symbols for sane-utils into libsane-dbg.
  * debian/copyright:
    + Update.

 -- Julien BLACHE <jblache@debian.org>  Sun, 20 Jul 2008 12:51:25 +0200

sane-backends (1.0.19-13) unstable; urgency=low

  * debian/libsane.README.Debian:
    + Fix udev rules filename (closes: #490656).
  * debian/patches/01_manpages_fixes.dpatch:
    + Updated; fix hyphen vs. minus sign issues reported by lintian.
  * debian/patches/30_new_saned.dpatch:
    + Updated; manpage fixes.

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Jul 2008 13:17:44 +0200

sane-backends (1.0.19-12) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.0 (no changes).

  * debian/patches/30_new_saned.dpatch:
    + Updated; properly terminate child processes when exiting from the
      debug mode.
  * debian/patches/32_net_backend_standard_fix.dpatch:
    + Added; do not reload the option descriptors cache behind the frontend's
      back in sane_control_option(). Fetch options descriptors in sane_open()
      so GET_VALUE on option 0 can still work without explicitely getting
      option descriptor 0 first.

  * debconf translations:
    + sv.po: courtesy of Martin Bagge (closes: #487369).

 -- Julien BLACHE <jblache@debian.org>  Tue, 24 Jun 2008 22:10:35 +0200

sane-backends (1.0.19-11) unstable; urgency=low

  * debian/patches/30_new_saned.dpatch:
    + Updated; lock the Avahi thread before stopping it and tearing down the
      Avahi objects (closes: #484464).
  * debian/patches/09_avision_fixes.dpatch:
    + Added; from CVS, misc avision backend fixes (closes: #474706, #475198).

  * debconf translations:
    + ru.po: courtesy of Yuri Kozlov (closes: #481656).

 -- Julien BLACHE <jblache@debian.org>  Fri, 06 Jun 2008 17:37:28 +0200

sane-backends (1.0.19-10) unstable; urgency=low

  * debian/sane-utils.postinst:
    + Make proper use of debconf !@#%$ (closes: #481442).

  * debconf translations:
    + fr.po: update by Christian Perrier (closes: #481439).


