=== debian/control ===
Source: sane-backends
Section: graphics
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 5.0.0), dpatch, po-debconf, libjpeg62-dev, libtiff4-dev, libusb-dev (>= 2:0.1.10a-9) [!hurd-i386], libcam-dev [kfreebsd-i386 kfreebsd-amd64], libavahi-client-dev (>= 0.6.4), gettext, texlive, texlive-latex-extra, autotools-dev, pkg-config, chrpath, xutils-dev
Homepage: http://www.sane-project.org

Package: sane-utils
Section: graphics
Architecture: any
Depends: adduser (>= 3.47), netbase, ${shlibs:Depends}, ${misc:Depends}
Recommends: avahi-daemon
Suggests: unpaper
Replaces: libsane (<< 1.0.11-4)
Description: API library for scanners -- utilities
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package includes the command line frontend scanimage, the saned
 server and the sane-find-scanner utility, along with their documentation.

Package: libsane
Section: libs
Architecture: any
Depends: adduser (>= 3.47), ${udev}, ${shlibs:Depends}
Recommends: sane-utils (>= ${binary:Version}), avahi-daemon
Suggests: hpoj, hplip
Replaces: libsane-extras (<< 1.0.18.14)
Description: API library for scanners
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package includes the backends for many scanners. A libsane-extras
 package containing some not-yet-included backends is available separately.
 .
 Graphical frontends for sane are available in the packages sane and
 xsane. Command line frontend scanimage, saned and sane-find-scanner are
 available in the sane-utils package.

Package: libsane-dev
Section: libdevel
Architecture: any
Depends: libsane (= ${binary:Version}), libjpeg62-dev, libtiff4-dev, libusb-dev (>= 1:0.1.6a-1) [!hurd-i386], ${libcam-dev}, libavahi-client-dev
Replaces: libsane-extras-dev (<< 1.0.18.14)
Description: API development library for scanners [development files]
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package contains the files needed to build your applications
 using SANE.

Package: libsane-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libsane (= ${binary:Version})
Replaces: libsane-extras-dbg (<< 1.0.18.14)
Description: API development library for scanners [debug symbols]
 SANE stands for "Scanner Access Now Easy" and is an application
 programming interface (API) that provides standardized access to any
 raster image scanner hardware (flatbed scanner, hand-held scanner,
 video- and still-cameras, frame-grabbers, etc.). The SANE standard is
 free and its discussion and development are open to everybody. The
 current source code is written to support several operating systems,
 including GNU/Linux, OS/2, Win32 and various Unices and is available
 under the GNU General Public License (commercial applications and
 backends are welcome, too, however).
 .
 This package contains the debugging symbols for the SANE backends.
