## sane-backends 1.0.22

=== debian/changelog ===
sane-backends (1.0.22-7ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/patches/fix_avahi_error_paths.patch: fix free order of
      avahi_client and avahi_browser in failure path, fixing assert when
      avahi is unavailable
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
      + Drop the alternative "makedev" dependency; we only support udev.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/rules:
      + Link using -Bsymbolic-functions (startup time optimization).
      + Saned init script does not need to be started before gdm
        and does not need to be called on shutdown.
    - debian/sane-utils.*: No longer have scanner group.
    - debian/sane-utils.saned.init: Saned init script does not need to
      be started before gdm and does not need to be called on shutdown.
  * Dropped changes, no longer needed:
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - Dropped "acl" dependency: acl is part of the standard system and
      the udev rules still reference setfacl, so we should keep this
      dependency here.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 04 Dec 2011 20:27:13 -0800

sane-backends (1.0.22-7) unstable; urgency=low

  * debian/patches/sane-desc.c_debian_mods.patch:
    + Updated; do not output a timestamp as part of the udev rules file
      header, it is a source of conflict for multiarch.

 -- Julien BLACHE <jblache@debian.org>  Mon, 21 Nov 2011 15:39:26 +0100

sane-backends (1.0.22-6) unstable; urgency=low

  * debian/control:
    + Fix ibcam-dev -> libcam-dev typo.

 -- Julien BLACHE <jblache@debian.org>  Thu, 21 Jul 2011 17:54:48 +0200

sane-backends (1.0.22-5) unstable; urgency=low

  * debian/control:
    + Replace explicit architecture lists with appropriate architecture
      wildcards; patch from Robert Millan (closes: #634518).
    + Use kfreebsd-any architecture wildcard for libcam-dev in libsane-dev's
      Depends field, getting rid of the custom libcam-dev substvar.
    + Use linux-any architecture wildcard for udev | makedev, acl in libsane's
      Depends field, gettind rid of the custom udev substvar.
  * debian/rules:
    + Remove custom libcam-dev and udev substvars in dh_gencontrol call.

 -- Julien BLACHE <jblache@debian.org>  Wed, 20 Jul 2011 19:52:51 +0200

sane-backends (1.0.22-4) unstable; urgency=low

  * Multiarch conversion.

  * debian/control:
    + Bump debhelper build-dep to >= 8.1.3 for multiarch.
    + Add Pre-Depends: ${misc:Pre-Depends} to libsane.
    + Tag libsane with Multi-Arch: same.
    + New Multi-Arch: foreign libsane-common binary package.
    + Add libsane-common dependency to libsane.
  * debian/rules:
    + Use multiarch path.
    + libsane.install.in is now libsane-common.install.in.
    + libsane.docs is gone.
    + Create the multiarch pkgconfig directory and install the .pc file here.
    + Stop creating the gt68xx firmware directory in libsane.
    + Move HAL FDI file to libsane-common.
    + Disable SNMP support explicitly (needs Net-SNMP 5.6).
  * debian/libsane-dev.install:
    + Adapt for multiarch.
  * debian/libsane.install.in -> debian/libsane.install:
    + Adapt for multiarch, transfer multiarch-incompatible content to
      libsane-common.
  * debian/libsane-common.install.in:
    + Adopt multiarch-incompatible content previously found in libsane.
  * debian/libsane.links -> debian/libsane-common.links:
    + Transfer documentation symlinks to libsane-common.
  * debian/libsane-dev.dirs:
    + Removed; pkgconfig directory created in debian/rules.

  * debian/patches/multiarch_dll_search_path.patch:
    + Added; make /usr/lib/arch_triplet/sane the default location for SANE
      backends but keep /usr/lib/sane as a fallback for now.
  * debian/patches/multiarch_manpages_libdir.patch:
    + Added; use a generic /usr/lib/arch_triplet/sane path for backend
      location in the man pages (otherwise substituted from LIBDIR).

 -- Julien BLACHE <jblache@debian.org>  Mon, 13 Jun 2011 17:07:05 +0200

sane-backends (1.0.22-3) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.9.2 (no changes).
  * debian/libsane.NEWS:
    + Added; document the switch to ACLs starting with 1.0.22-1.

  * debconf translations:
    + pt_BR.po: update from Eder L. Marques (closes: #619612).
    + nl.po: courtesy of Jeroen Schot (closes: #627043).

 -- Julien BLACHE <jblache@debian.org>  Thu, 02 Jun 2011 14:57:53 +0200

sane-backends (1.0.22-2ubuntu2) oneiric; urgency=low

  * debian/patches/fix_avahi_error_paths.patch:
    - Fix free order of avahi_client and avahi_browser in failure path.
      Fixes assert when avahi is unavailable (LP: #831867)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 21 Sep 2011 16:39:32 +1000

sane-backends (1.0.22-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes: (LP: #739708)
    - debian/control:
      + Demote libsane-extras* from Recommends to Suggests, as long as
        this package is in universe.
      + Demote sane-utils from Recommends to Suggests.
        We do not want to have an init script for saned laying around,
        which is disabled by default anyway.
    - debian/libsane.postinst: Don't create a scanner group.
    - debian/libsane.preinst:
      + Remove the old file if unmodified.
      + Remove the old blacklist-scanner modprobe file.
    - debian/patches/disable_v4l.patch: Disable v4l backend.
    - debian/rules:
      - Link using -Bsymbolic-functions (startup time optimization).

