=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: sane-backends
 Section: graphics
 Priority: optional
-Maintainer: Thomas Maass <inyourface@gmx.de>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 5.0.0), dpatch, po-debconf, libjpeg62-dev, libtiff4-dev, libusb-dev (>= 2:0.1.10a-9) [!hurd-i386], libcam-dev [kfreebsd-i386 kfreebsd-amd64], libavahi-client-dev (>= 0.6.4), gettext, texlive, texlive-latex-extra, autotools-dev, pkg-config, chrpath, xutils-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julien BLACHE <jblache@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3), po-debconf, libv4l-dev [linux-any], libgphoto2-2-dev, libltdl3-dev, libjpeg-dev, libtiff4-dev, libusb-dev (>= 2:0.1.10a-9) [!hurd-i386], libieee1284-3-dev (>= 0.2.10-5) [!hurd-i386], libcam-dev [kfreebsd-any], libavahi-client-dev (>= 0.6.4), gettext, texlive, texlive-latex-extra, autotools-dev, pkg-config, chrpath, xutils-dev
 Homepage: http://www.sane-project.org
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/sane-backends/ubuntu
 
 Package: sane-utils
 Section: graphics
 Architecture: any
-Depends: adduser (>= 3.47), netbase, ${shlibs:Depends}, ${misc:Depends}
-Recommends: avahi-daemon
-Suggests: unpaper
+Depends: adduser (>= 3.47), update-inetd (>= 4.31), ${shlibs:Depends}, ${misc:Depends}
+Suggests: avahi-daemon, unpaper
 Replaces: libsane (<< 1.0.11-4)
 Description: API library for scanners -- utilities
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -27,12 +28,33 @@
  This package includes the command line frontend scanimage, the saned
  server and the sane-find-scanner utility, along with their documentation.
 
+Package: libsane-common
+Section: libs
+Architecture: any
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Replaces: libsane (<< 1.0.22-4~)
+Description: API library for scanners -- documentation and support files
+ SANE stands for "Scanner Access Now Easy" and is an application
+ programming interface (API) that provides standardized access to any
+ raster image scanner hardware (flatbed scanner, hand-held scanner,
+ video- and still-cameras, frame-grabbers, etc.). The SANE standard is
+ free and its discussion and development are open to everybody. The
+ current source code is written to support several operating systems,
+ including GNU/Linux, OS/2, Win32 and various Unices and is available
+ under the GNU General Public License (commercial applications and
+ backends are welcome, too, however).
+ .
+ This package includes documentation for libsane, such as the man pages
+ and list of supported scanners, and support files (i18n data).
+
 Package: libsane
 Section: libs
 Architecture: any
-Depends: adduser (>= 3.47), ${udev}, ${shlibs:Depends}
-Recommends: sane-utils (>= ${binary:Version}), avahi-daemon
-Suggests: hpoj, hplip
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: adduser (>= 3.47), libsane-common (= ${binary:Version}), udev (>= 0.88-1) [linux-any], acl (>= 2.2.49-4) [linux-any], ${shlibs:Depends}, ${misc:Depends}
+Suggests: avahi-daemon, hpoj, hplip, libsane-extras (>= 1.0.22.1), sane-utils (>= ${binary:Version})
 Replaces: libsane-extras (<< 1.0.18.14)
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -55,7 +77,8 @@
 Package: libsane-dev
 Section: libdevel
 Architecture: any
-Depends: libsane (= ${binary:Version}), libjpeg62-dev, libtiff4-dev, libusb-dev (>= 1:0.1.6a-1) [!hurd-i386], ${libcam-dev}, libavahi-client-dev
+Depends: libsane (= ${binary:Version}), libjpeg-dev, libtiff4-dev, libusb-dev (>= 1:0.1.6a-1) [!hurd-i386], libieee1284-3-dev (>= 0.2.10-5) [!hurd-i386], libcam-dev [kfreebsd-any], libgphoto2-2-dev, libv4l-dev [linux-any], libavahi-client-dev, pkg-config, ${misc:Depends}
+Suggests: libsane-extras-dev (>= 1.0.22.1)
 Replaces: libsane-extras-dev (<< 1.0.18.14)
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -72,10 +95,11 @@
  using SANE.
 
 Package: libsane-dbg
-Section: libdevel
+Section: debug
 Priority: extra
 Architecture: any
-Depends: libsane (= ${binary:Version})
+Depends: libsane (= ${binary:Version}), ${misc:Depends}
+Suggests: libsane-extras-dbg (>= 1.0.22.1)
 Replaces: libsane-extras-dbg (<< 1.0.18.14)
 Description: API development library for scanners [debug symbols]
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -89,4 +113,3 @@
  backends are welcome, too, however).
  .
  This package contains the debugging symbols for the SANE backends.
-
