## sane-backends 1.0.23

=== debian/changelog ===
sane-backends (1.0.23-3ubuntu3) trusty; urgency=medium

  * Build against libgphoto2-dev instead of libgphoto2-6-dev. (Reverts Ubuntu
    specific delta)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Feb 2014 09:28:15 +0100

sane-backends (1.0.23-3ubuntu2) trusty; urgency=medium

  * debian/{control,rules}: Build with dh-autoreconf for new libtool.
  * debian/patches/*.patch: Patch Makefile.am too, not just Makefile.in.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 12:10:33 +0000

sane-backends (1.0.23-3ubuntu1) trusty; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Build against libgphoto2-6 and libtiff5.
    - Demote libsane-extras* from Recommends to Suggests, as long as this
      package is in universe.
    - Demote sane-utils from Recommends to Suggests. We do not want to have
      an init script for saned laying around, which is disabled by default
      anyway.
    - debian/rules: Link using -Bsymbolic-functions (startup time
      optimization).
    - debian/rules, debian/sane-utils.saned.init: Don't call init script on
      shutdown, it's unnecessary.
    - disable_v4l.patch, fix_avahi_error_paths.patch,
      fix-for-broken-tpu-scan.patch: See patch headers.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 06 Nov 2013 07:31:42 +0100

sane-backends (1.0.23-3) unstable; urgency=low

  * QA upload
  * revert move to libtiff5-dev

 -- Rene Engelhard <rene@debian.org>  Sat, 06 Jul 2013 15:20:16 +0200

sane-backends (1.0.23-2) unstable; urgency=low

  * QA upload.
  * Add sane-desc.c_debian_mods.patch to series file. (Closes: #714993)

 -- Markus Koschany <apo@gambaru.de>  Fri, 05 Jul 2013 11:52:37 +0200

sane-backends (1.0.23-1) unstable; urgency=low

  * QA upload.
  * Upload to unstable.
  * This package has been orphaned. Set maintainer to the Debian QA Group.
  * Bump compat level to 9 (was 5) and require debhelper >= 9.
  * debian/control:
    - sane-utils: Inherit Section: graphics from source package sane-backends.
    - Remove versioned dependencies. They are trivially satisfied.
  * Drop the following patches. They are merged upstream now.
    - fix_v4l_build.patch
    - hurd_path_max_fix.patch
    - sane_desc_udev+acl.patch
    - scanimage_man_batch_start.patch
    - udev_usb_suspend.patch
    - xerox_mfp_add_scx_4623fw.patch
    - xerox_mfp_fix_usb_device.patch
  * Drop disable_rpath.patch because the RPATH is already removed by chrpath
    in debian/rules.
  * Rebase and refresh all other patches against the new upstream relase.
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Build with --parallel and with autotools_dev.
    - Enable all hardening build flags.
    - Install umax_pp with sane-utils.install.
  * Build-Depend on libtiff5-dev. Thanks to Michael Terry for the patch.
    (Closes: #681079)
  * Build-Depend on libusb-1.0-0-dev and enable libusb1.0 support in
    debian/rules. Thanks to Martin Pitt for the report and Whoopie for the
    patch. (Closes: #687137)

 -- Markus Koschany <apo@gambaru.de>  Thu, 04 Jul 2013 17:41:47 +0200

sane-backends (1.0.23-0.1~experimental1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 23 Feb 2013 20:12:58 +0100

sane-backends (1.0.22-7.4) unstable; urgency=low

  * Non-maintainer upload.
  * Compress all binaries with xz to free up some space on CD#1.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 17 Sep 2012 16:44:07 +0200

sane-backends (1.0.22-7.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure on kfreebsd (closes: #680234).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 15 Jul 2012 17:07:15 -0400

sane-backends (1.0.22-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Set sane-utils as 'Multi-Arch: foreign' (closes: #675797).

 -- Michael Gilbert <mgilbert@debian.org>  Thu, 28 Jun 2012 16:53:15 -0400

sane-backends (1.0.22-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Catalan; (Innocent De Marchi).  Closes: #646505
    - Slovak (Slavko).  Closes: #639235
    - Polish (Michał Kułach).  Closes: #658351

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Mar 2012 07:39:00 +0200
