=== debian/control ===
--- 
+++ 
@@ -2,16 +2,37 @@
 Section: graphics
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julien BLACHE <jblache@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3), po-debconf, libv4l-dev [linux-any], libgphoto2-2-dev, libltdl3-dev, libjpeg-dev, libtiff4-dev, libusb-dev (>= 2:0.1.10a-9) [!hurd-i386], libieee1284-3-dev (>= 0.2.10-5) [!hurd-i386], libcam-dev [kfreebsd-any], libavahi-client-dev (>= 0.6.4), gettext, texlive, texlive-latex-extra, autotools-dev, pkg-config, chrpath, xutils-dev
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.4
+Build-Depends:
+ dh-autoreconf,
+ chrpath,
+ debhelper (>= 9),
+ gettext,
+ libavahi-client-dev,
+ libcam-dev [kfreebsd-any],
+ libgphoto2-dev,
+ libieee1284-3-dev [!hurd-i386],
+ libjpeg-dev,
+ libltdl3-dev,
+ libtiff5-dev,
+ libusb-1.0-0-dev [!hurd-i386],
+ libv4l-dev [linux-any],
+ pkg-config,
+ po-debconf,
+ texlive,
+ texlive-latex-extra,
+ xutils-dev
 Homepage: http://www.sane-project.org
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/sane-backends/ubuntu
 
 Package: sane-utils
-Section: graphics
 Architecture: any
-Depends: adduser (>= 3.47), update-inetd (>= 4.31), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
+Depends:
+ adduser,
+ update-inetd,
+ ${misc:Depends},
+ ${shlibs:Depends}
 Suggests: avahi-daemon, unpaper
 Replaces: libsane (<< 1.0.11-4)
 Description: API library for scanners -- utilities
@@ -53,8 +74,14 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: adduser (>= 3.47), libsane-common (= ${binary:Version}), udev (>= 0.88-1) [linux-any], acl (>= 2.2.49-4) [linux-any], ${shlibs:Depends}, ${misc:Depends}
-Suggests: avahi-daemon, hpoj, hplip, libsane-extras (>= 1.0.22.1), sane-utils (>= ${binary:Version})
+Depends:
+ acl [linux-any],
+ adduser,
+ libsane-common (= ${binary:Version}),
+ udev [linux-any] | makedev [linux-any],
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests: avahi-daemon, hplip, hpoj, libsane-extras, sane-utils (>= ${binary:Version})
 Replaces: libsane-extras (<< 1.0.18.14)
 Description: API library for scanners
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -77,8 +104,19 @@
 Package: libsane-dev
 Section: libdevel
 Architecture: any
-Depends: libsane (= ${binary:Version}), libjpeg-dev, libtiff4-dev, libusb-dev (>= 1:0.1.6a-1) [!hurd-i386], libieee1284-3-dev (>= 0.2.10-5) [!hurd-i386], libcam-dev [kfreebsd-any], libgphoto2-2-dev, libv4l-dev [linux-any], libavahi-client-dev, pkg-config, ${misc:Depends}
-Suggests: libsane-extras-dev (>= 1.0.22.1)
+Depends:
+ libavahi-client-dev,
+ libcam-dev [kfreebsd-any],
+ libgphoto2-dev,
+ libieee1284-3-dev [!hurd-i386],
+ libjpeg-dev,
+ libsane (= ${binary:Version}),
+ libtiff5-dev,
+ libusb-1.0-0-dev [!hurd-i386],
+ libv4l-dev [linux-any],
+ pkg-config,
+ ${misc:Depends}
+Suggests: libsane-extras-dev
 Replaces: libsane-extras-dev (<< 1.0.18.14)
 Description: API development library for scanners [development files]
  SANE stands for "Scanner Access Now Easy" and is an application
@@ -99,7 +137,7 @@
 Priority: extra
 Architecture: any
 Depends: libsane (= ${binary:Version}), ${misc:Depends}
-Suggests: libsane-extras-dbg (>= 1.0.22.1)
+Suggests: libsane-extras-dbg
 Replaces: libsane-extras-dbg (<< 1.0.18.14)
 Description: API development library for scanners [debug symbols]
  SANE stands for "Scanner Access Now Easy" and is an application
